LogOnController Methods |
The LogOnController type exposes the following members.
| Name | Description | |
|---|---|---|
| DeleteOldLogOnRecords | POST /LogOn/Delete/
Removes the log on history records before the supplied date.
| |
| DownloadHistory | GET /LogOn/DownloadHistory/{id}
Gets the requested download as a binary file.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GenerateDownloadHistoryFile | POST /LogOn/DownloadHistory/
Generates the download file for the log on history.
| |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetLogOnToken |
POST /LogOn/Token
Gets the log on token.
| |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| LogOn |
POST /LogOn/
Logs the user on using standard log on options.
| |
| ProcessPasswordResetRequest | PUT /LogOn/ResetPassword/{id}
Processes the password reset request.
| |
| QueryLogOnHistory | POST /LogOn/QueryHistory
Gets the log on history.
| |
| QueryLogOnHistoryCount | POST /LogOn/QueryHistoryCount
Gets the number of log on history items that match the filter.
| |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| SubmitPasswordResetRequest | POST /LogOn/ResetPassword
Submits the password reset request.
|